import { Component, Input } from '@angular/core';
import { IonicModule } from '@ionic/angular';
import { Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'app-task-card',
  templateUrl: './task-card.component.html',
  styleUrls: ['./task-card.component.scss'],
  standalone: true,
  imports: [IonicModule]
})
export class TaskCardComponent {
  @Input() id: string = '';
  @Input() title = '';
  @Input() tags: string[] = [];
  @Input() dueDate = '';
  @Input() dueTime = '';
  @Input() subtasksCount = 0;

// 导入 Output 和 EventEmitter
@Output() cardClick = new EventEmitter<string>();

  onClick() {
    this.cardClick.emit(this.id);
  }
}
